VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "LearnAPI"
   ClientHeight    =   3780
   ClientLeft      =   255
   ClientTop       =   1035
   ClientWidth     =   2760
   Icon            =   "Main.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3780
   ScaleWidth      =   2760
   Begin VB.CommandButton cmdRun 
      Caption         =   "&Run"
      Height          =   375
      Left            =   120
      TabIndex        =   7
      Top             =   720
      Width           =   2535
   End
   Begin VB.ComboBox cboAPIFunction 
      Height          =   315
      Left            =   120
      Style           =   2  'Dropdown List
      TabIndex        =   5
      Top             =   360
      Width           =   2535
   End
   Begin VB.Frame fraGroup 
      Caption         =   "ShellExecute Function"
      Height          =   855
      Index           =   1
      Left            =   120
      TabIndex        =   2
      Top             =   2520
      Width           =   2415
      Begin VB.Label lblURL 
         AutoSize        =   -1  'True
         BackStyle       =   0  'Transparent
         Caption         =   "Longonot Software Web-Site"
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   -1  'True
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         ForeColor       =   &H00FF0000&
         Height          =   195
         Left            =   120
         MouseIcon       =   "Main.frx":030A
         MousePointer    =   99  'Custom
         TabIndex        =   4
         Top             =   240
         Width           =   2055
      End
      Begin VB.Label lblMailto 
         AutoSize        =   -1  'True
         BackStyle       =   0  'Transparent
         Caption         =   "longonot@intekom.co.za"
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   -1  'True
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         ForeColor       =   &H00FF0000&
         Height          =   195
         Left            =   240
         MouseIcon       =   "Main.frx":045C
         MousePointer    =   99  'Custom
         TabIndex        =   3
         Top             =   480
         Width           =   1770
      End
   End
   Begin VB.Timer tmrFlashWindow 
      Enabled         =   0   'False
      Interval        =   200
      Left            =   2400
      Top             =   0
   End
   Begin VB.Label lblDiscription 
      BorderStyle     =   1  'Fixed Single
      Caption         =   "Discription of API function."
      Height          =   1215
      Left            =   120
      TabIndex        =   8
      Top             =   1200
      Width           =   2535
      WordWrap        =   -1  'True
   End
   Begin VB.Label lblSelectFunction 
      AutoSize        =   -1  'True
      Caption         =   "Select an API Function:"
      Height          =   195
      Left            =   120
      TabIndex        =   6
      Top             =   120
      Width           =   1680
   End
   Begin VB.Label lblCredits 
      AutoSize        =   -1  'True
      BackStyle       =   0  'Transparent
      Caption         =   "About / Credits"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   -1  'True
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00008000&
      Height          =   195
      Left            =   120
      MouseIcon       =   "Main.frx":05AE
      MousePointer    =   99  'Custom
      TabIndex        =   1
      Top             =   3480
      Width           =   1305
   End
   Begin VB.Label lblExit 
      BackStyle       =   0  'Transparent
      Caption         =   "Exit"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   -1  'True
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00008000&
      Height          =   255
      Left            =   1560
      MouseIcon       =   "Main.frx":0700
      MousePointer    =   99  'Custom
      TabIndex        =   0
      Top             =   3480
      Width           =   375
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim CustomColors() As Byte 'Variable to hold custom colours
Dim RunningInIDE As Boolean 'Used to hold running in IDE or not

Private Sub cSetWindowPos()
Dim flags%, lResult&
Static Invert As Boolean
flags = SWP_NOSIZE Or SWP_NOMOVE

If Invert = False Then
    lResult = SetWindowPos(frmMain.hwnd, HWND_TOPMOST, 0, 0, 0, 0, flags)
    Invert = True
ElseIf Invert = True Then
    lResult = SetWindowPos(frmMain.hwnd, HWND_NOTTOPMOST, 0, 0, 0, 0, flags)
    Invert = False
End If

End Sub

Private Sub cGetOpenFileName()
'The code to call the Open Dialog box is in the
'fGetOpenFileName function
Dim Path$, Filter$
    Filter = "All Files (*.*)" & Chr(0) & "*.*" & Chr(0)
    Path = fGetOpenFileName(Filter)
    If Path <> "Cancel" Then
        MsgBox "You selected " & Path, vbOKOnly + vbInformation, "LearnAPI"
    End If
End Sub

Private Sub cGetFileAttributes()
Dim Path$, Filter$, Att&, Msg$
On Error GoTo OpenError
    Filter = "All Files (*.*)" & Chr(0) & "*.*" & Chr(0)
    Path = fGetOpenFileName(Filter)
    If Path <> "Cancel" Then
        Att = GetFileAttributes(Path)
        If (Att And FILE_ATTRIBUTE_ARCHIVE) <> 0 Then Msg = Msg & "Archive" & vbCrLf
        If (Att And FILE_ATTRIBUTE_COMPRESSED) <> 0 Then Msg = Msg & "Compressed" & vbCrLf
        If (Att And FILE_ATTRIBUTE_DIRECTORY) <> 0 Then Msg = Msg & "Directory" & vbCrLf
        If (Att And FILE_ATTRIBUTE_HIDDEN) <> 0 Then Msg = Msg & "Hidden" & vbCrLf
        If (Att And FILE_ATTRIBUTE_NORMAL) <> 0 Then Msg = Msg & "Normal" & vbCrLf
        If (Att And FILE_ATTRIBUTE_READONLY) <> 0 Then Msg = Msg & "Read only" & vbCrLf
        If (Att And FILE_ATTRIBUTE_SYSTEM) <> 0 Then Msg = Msg & "System" & vbCrLf
        MsgBox "The file attributes for " & Path & " are:" & vbCrLf & vbCrLf & Msg, vbOKOnly + vbInformation, "LearnAPI"
    End If
    Exit Sub
OpenError:
    MsgBox "Could not find file attributes.", vbOKOnly + vbExclamation, "LearnAPI"
End Sub

Private Sub cGetCursorPos()
Dim v As POINTAPI, Success&
    Success = GetCursorPos(v)
    MsgBox "The mouse coordinates are: " & v.X & ", " & v.Y, vbOKOnly + vbInformation, "LearnAPI"
End Sub

Private Sub cFindExecutable()
Dim OpenFile As OPENFILENAME
Dim Success As Long, FileTitleLength%, Filter$
Dim Result$, X&, DirLen#, FileLen#, Dir$
On Error GoTo OpenError

    'The following lines open the Open Dialog box using API calls
    OpenFile.lStructSize = Len(OpenFile)
    OpenFile.hwndOwner = frmMain.hwnd
    OpenFile.hInstance = App.hInstance
    Filter = "All Files (*.*)" & Chr(0) & "*.*" & Chr(0)
    OpenFile.lpstrFilter = Filter
    OpenFile.nFilterIndex = 1
    OpenFile.lpstrFile = String(257, 0)
    OpenFile.nMaxFile = Len(OpenFile.lpstrFile) - 1
    OpenFile.lpstrFileTitle = OpenFile.lpstrFile
    OpenFile.nMaxFileTitle = OpenFile.nMaxFile
    OpenFile.lpstrTitle = "LearnAPI - Open Dialog Box"
    OpenFile.flags = 0
    Success = GetOpenFileName(OpenFile)
    
    If Success = 0 Then
        Exit Sub
    Else:
'The next 4 lines remove null length strings.
'Trim does not work. Anyone got a better idea?
        lblDiscription.ToolTipText = Trim(OpenFile.lpstrFile)
        OpenFile.lpstrFile = lblDiscription.ToolTipText
        lblDiscription.ToolTipText = Trim(OpenFile.lpstrFileTitle)
        OpenFile.lpstrFileTitle = lblDiscription.ToolTipText
        
'These lines find path without filetitle
        FileLen = Len(OpenFile.lpstrFile)
        DirLen = Len(OpenFile.lpstrFileTitle)
        Dir = Left(OpenFile.lpstrFile, FileLen - DirLen - 1)
        Result = Space(128)
        
        X = FindExecutable(OpenFile.lpstrFileTitle, Dir, Result)
        If X < 32 Then GoTo OpenError
        MsgBox "The application used to open " & OpenFile.lpstrFileTitle & " is " & vbCrLf & vbCrLf & Result, vbOKOnly + vbInformation, "LearnAPI"
    End If
    Exit Sub
OpenError:
    MsgBox "Could not find associated program file.", vbOKOnly + vbExclamation, "LearnAPI"
End Sub

Private Sub cGetTickCount()
Dim MilloSec#, Days#, Hours#, Min#, Sec#
Dim Msg$
    MilloSec = GetTickCount()
    Sec = MilloSec \ 1000
    
    Days = Sec \ (24& * 3600&)
    If Days > 0 Then Sec = Sec - (24 * 3600 * Days)

    Hours = Sec \ 3600
    If Hours > 0 Then Sec = Sec - (3600 * Hours)
    Min = Sec \ 60
    Sec = Sec Mod 60

    Msg = "Windows has been running for" & vbCrLf & vbCrLf
    Msg = Msg & Days & " Day(s), " & Hours & " Hour(s), " & Min & " Minute(s), " & Sec & " Second(s)"
    MsgBox Msg, vbOKOnly + vbInformation, "LearnAPI"
End Sub

Private Sub cInternetAutodial()
Dim Success&
    Success = InternetAutodial(2, 0&)
End Sub

Private Sub cInternetAutodialHangup()
Dim Success&
    Success = InternetAutodialHangup(0&)
End Sub

Private Sub cGetLogicalDriveStrings()
Dim Success&, D$, X&, Y&, Z&
Dim DriveLetters As String * 256
Dim Msg As String
    DriveLetters = 255
    Success = GetLogicalDriveStrings(255, DriveLetters)
On Error GoTo ErrorHandler
    Do
        X = Y + 1
        Z = Z + 1
        Y = InStr(X, DriveLetters, "\")
        D = Mid$(DriveLetters, Y - 2, 3)
        Msg = Msg & D & " "
    Loop Until Y = 0
ErrorHandler:
MsgBox "The drive letters available on this system are: " & vbCrLf & Msg, vbOKOnly + vbInformation, "LearnAPI"
End Sub

Private Sub cGetDriveType()
Dim Drive$, DriveType$, X&
    Drive = UCase(Left(App.Path, 3))
    X = GetDriveType(Drive)
    Select Case X
        Case 2: DriveType = "removable drive."
        Case 3: DriveType = "fixed drive."
        Case 4: DriveType = "remote drive."
        Case 5: DriveType = "CDROM drive."
        Case 6: DriveType = "ramdisk."
    End Select
    MsgBox "Drive " & Drive & " is a " & DriveType, vbOKOnly + vbInformation, "LearnAPI"
End Sub

Private Sub cboAPIFunction_Click()
Select Case cboAPIFunction.Text
    Case "CharLower": lblDiscription.Caption = "Converts text to lowercase. Same as the Visual Basic LCase function."
    Case "CharUpper": lblDiscription.Caption = "Converts text to uppercase. Same as the Visual Basic UCase function."
    Case "ChooseColor": lblDiscription.Caption = "Display the Colour common dialog box using API calls."
    Case "ExitWindowsEx": lblDiscription.Caption = "Exit Windows. Exit all applications and save your work before trying this command."
    Case "FindExecutable": lblDiscription.Caption = "Find which application is associated with a file extension."
    Case "FlashWindow": lblDiscription.Caption = "Makes the application title flash. Press Run to start and stop the flashing."
    Case "GetComputerName": lblDiscription.Caption = "Displays the computer name."
    Case "GetCursorPos": lblDiscription.Caption = "Finds the mouse coordinates."
    Case "GetDiskFreeSpace": lblDiscription.Caption = "Returns the amount of free space available on the current drive."
    Case "GetDoubleClickTime": lblDiscription.Caption = "The double-click time is the maximum number of milliseconds that may occur between the first and second click of a double-click. See also SetDoubleClickTime."
    Case "GetDriveType": lblDiscription.Caption = "Returns the current drive type."
    Case "GetFileAttributes": lblDiscription.Caption = "Displays the attributes of a file."
    Case "GetLogicalDriveStrings": lblDiscription.Caption = "Returns the available drive letters of your computer."
    Case "GetOpenFileName": lblDiscription.Caption = "Displays the Open Dialog Box using the Windows API."
    Case "GetSystemDirectory": lblDiscription.Caption = "Returns the Windows System directory."
    Case "GetSystemInfo": lblDiscription.Caption = "Displays the number of processors and the processor type."
    Case "GetTempPath": lblDiscription.Caption = "Returns the path to the temporary directory."
    Case "GetTickCount": lblDiscription.Caption = "Displays how long Windows has been running."
    Case "GetUserName": lblDiscription.Caption = "Displays the user who is currently logged onto Windows."
    Case "GetVersionEx": lblDiscription.Caption = "Returns the Windows version, build and service pack versions."
    Case "GetVolumeInformation": lblDiscription.Caption = "Displays the volume information of the current drive."
    Case "GetWindowsDirectory": lblDiscription.Caption = "Returns the path to the Windows directory."
    Case "GlobalMemoryStatus": lblDiscription.Caption = "Displays the current memory status."
    Case "IDECheck": lblDiscription.Caption = "This is not an API function, but I thought it could be useful. It tells you whether or not you are running within the Visual Basic IDE. You could disable shareware nag screens based on this result."
    Case "InternetAutoDial": lblDiscription.Caption = "Automatically dial the Internet. Please note that this function requires Windows 95/98. If you are running Windows 95, you must have Internet Explorer 3.x or later installed."
    Case "InternetAutoDialHangup": lblDiscription.Caption = "Hangup the Internet. Please note that this function requires Windows 95/98. If you are running Windows 95, you must have Internet Explorer 3.x or later installed."
    Case "MessageBeep": lblDiscription.Caption = "Beep. Same as the Visual Basic beep command."
    Case "PlaySound": lblDiscription.Caption = "Play a wav file."
    Case "SetDoubleClickTime": lblDiscription.Caption = "The double-click time is the maximum number of milliseconds that may occur between the first and second clicks of a double-click. Default is 500. See also GetDoubleClickTime."
    Case "SetWindowPos": lblDiscription.Caption = "Make LearnAPI stay on top of all other windows."
    Case "Sleep": lblDiscription.Caption = "Create a delay with the Sleep command."
    Case "SwapMouseButton": lblDiscription.Caption = "Swap the left and right mouse buttons."
    Case "WinExec": lblDiscription.Caption = "Start Windows Explorer."
    Case "-DelBinary": lblDiscription.Caption = "Del a binary value from the registry."
    Case "-GetBinary": lblDiscription.Caption = "Retrieve a binary value from the registry."
    Case "-SetBinary": lblDiscription.Caption = "Save a binary value to the registry."
End Select
End Sub

Private Sub cmdRun_Click()
Select Case cboAPIFunction.Text
    Case "CharLower": Call cCharLower
    Case "CharUpper": Call cCharUpper
    Case "ChooseColor": Call cChooseColor
    Case "ExitWindowsEx": Call cExitWindowsEx
    Case "FindExecutable": Call cFindExecutable
    Case "FlashWindow": Call cFlashWindow
    Case "GetComputerName": Call cGetComputerName
    Case "GetCursorPos": Call cGetCursorPos
    Case "GetDiskFreeSpace": Call cGetDiskFreeSpace
    Case "GetDoubleClickTime": Call cGetDoubleClickTime
    Case "GetDriveType": Call cGetDriveType
    Case "GetFileAttributes": Call cGetFileAttributes
    Case "GetLogicalDriveStrings": Call cGetLogicalDriveStrings
    Case "GetOpenFileName": Call cGetOpenFileName
    Case "GetSystemDirectory": Call cGetSystemDirectory
    Case "GetSystemInfo": Call cGetSystemInfo
    Case "GetTempPath": Call cGetTempPath
    Case "GetTickCount": Call cGetTickCount
    Case "GetUserName": Call cGetUserName
    Case "GetVersionEx": Call cGetVersionEx
    Case "GetVolumeInformation": Call cGetVolumeInformation
    Case "GetWindowsDirectory": Call cGetWindowsDirectory
    Case "GlobalMemoryStatus": Call cGlobalMemoryStatus
    Case "IDECheck": Call cIDECheck
    Case "InternetAutoDial": Call cInternetAutodial
    Case "InternetAutoDialHangup": Call cInternetAutodialHangup
    Case "MessageBeep": Call cMessageBeep
    Case "PlaySound": Call cPlaySound
    Case "SetDoubleClickTime": Call cSetDoubleClickTime
    Case "SetWindowPos": Call cSetWindowPos
    Case "Sleep": Call cSleep
    Case "SwapMouseButton": Call cSwapMouseButton
    Case "WinExec": Call cWinExec
    Case "-DelBinary": Call dfDelBinary
    Case "-GetBinary": Call dfGetBinary
    Case "-SetBinary": Call dfSetBinary
End Select
End Sub

Private Function fGetOpenFileName(Filter As String)
'I have made this into a function so that I can use
'it from other functions.
Dim OpenFile As OPENFILENAME, Temp$
Dim Success As Long, FileTitleLength%
    OpenFile.lStructSize = Len(OpenFile)
    OpenFile.hwndOwner = frmMain.hwnd
    OpenFile.hInstance = App.hInstance
    OpenFile.lpstrFilter = Filter
    OpenFile.nFilterIndex = 1
    OpenFile.lpstrFile = String(257, 0)
    OpenFile.nMaxFile = Len(OpenFile.lpstrFile) - 1
    OpenFile.lpstrFileTitle = OpenFile.lpstrFile
    OpenFile.nMaxFileTitle = OpenFile.nMaxFile
    OpenFile.lpstrTitle = "LearnAPI - Open Dialog Box"
    OpenFile.flags = 0
    Success = GetOpenFileName(OpenFile)
    If Success = 0 Then
        fGetOpenFileName = "Cancel"
    Else:
'The next two lines remove null length strings.
'Trim does not work. Anyone got a better idea?
        lblDiscription.ToolTipText = Trim(OpenFile.lpstrFile)
        fGetOpenFileName = lblDiscription.ToolTipText
    End If
End Function

Private Function IDECheck() As Boolean
'Used in conjunction with cIDECheck
    RunningInIDE = True
    IDECheck = True
End Function

Private Sub cIDECheck()
'The following line is only executed when running
'under the VB IDE. Therefore RunningInIDE is
'always false when running from a exe program.
    Debug.Assert IDECheck
    If RunningInIDE = False Then
        MsgBox "LearnAPI is not running within the Visual Basic IDE.", vbOKOnly + vbInformation, "LearnAPI"
    ElseIf RunningInIDE = True Then
        MsgBox "LearnAPI is running within the Visual Basic IDE.", vbOKOnly + vbInformation, "LearnAPI"
    End If
End Sub

Private Sub cCharLower()
Dim InputStr$
    InputStr = InputBox("Please enter some text in both cases.", "LearnAPI", "Thank you for downloading LearnAPI.")
    If InputStr = "" Then Exit Sub
    InputStr = CharLower(InputStr)
    MsgBox "The text you entered has been converted to lowercase:" & vbCrLf & vbCrLf & InputStr, vbOKOnly + vbInformation, "LearnAPI"
End Sub

Private Sub cCharUpper()
Dim InputStr$
    InputStr = InputBox("Please enter some text in both cases.", "LearnAPI", "Thank you for downloading LearnAPI.")
    If InputStr = "" Then Exit Sub
    InputStr = CharUpper(InputStr)
    MsgBox "The text you entered has been converted to uppercase:" & vbCrLf & vbCrLf & InputStr, vbOKOnly + vbInformation, "LearnAPI"
End Sub

Private Sub Form_Load()
ReDim CustomColors(0 To 16 * 4 - 1) As Byte
Dim i As Integer

    For i = LBound(CustomColors) To UBound(CustomColors)
        CustomColors(i) = 0
    Next i
    
    cboAPIFunction.AddItem "CharLower"
    cboAPIFunction.AddItem "CharUpper"
    cboAPIFunction.AddItem "ChooseColor"
    cboAPIFunction.AddItem "ExitWindowsEx"
    cboAPIFunction.AddItem "FindExecutable"
    cboAPIFunction.AddItem "FlashWindow"
    cboAPIFunction.AddItem "GetComputerName"
    cboAPIFunction.AddItem "GetCursorPos"
    cboAPIFunction.AddItem "GetDiskFreeSpace"
    cboAPIFunction.AddItem "GetDoubleClickTime"
    cboAPIFunction.AddItem "GetDriveType"
    cboAPIFunction.AddItem "GetFileAttributes"
    cboAPIFunction.AddItem "GetLogicalDriveStrings"
    cboAPIFunction.AddItem "GetOpenFileName"
    cboAPIFunction.AddItem "GetSystemDirectory"
    cboAPIFunction.AddItem "GetSystemInfo"
    cboAPIFunction.AddItem "GetTempPath"
    cboAPIFunction.AddItem "GetTickCount"
    cboAPIFunction.AddItem "GetUserName"
    cboAPIFunction.AddItem "GetVersionEx"
    cboAPIFunction.AddItem "GetVolumeInformation"
    cboAPIFunction.AddItem "GetWindowsDirectory"
    cboAPIFunction.AddItem "GlobalMemoryStatus"
    cboAPIFunction.AddItem "IDECheck"
    cboAPIFunction.AddItem "InternetAutoDial"
    cboAPIFunction.AddItem "InternetAutoDialHangup"
    cboAPIFunction.AddItem "MessageBeep"
    cboAPIFunction.AddItem "PlaySound"
    cboAPIFunction.AddItem "SetDoubleClickTime"
    cboAPIFunction.AddItem "SetWindowPos"
    cboAPIFunction.AddItem "Sleep"
    cboAPIFunction.AddItem "SwapMouseButton"
    cboAPIFunction.AddItem "WinExec"
    cboAPIFunction.AddItem "-DelBinary"
    cboAPIFunction.AddItem "-GetBinary"
    cboAPIFunction.AddItem "-SetBinary"
    cboAPIFunction.ListIndex = 0
End Sub

Private Sub cChooseColor()
'To hold the custom colours, also use the code in the
'Form_Load procedure and in the General Declaration section.
Dim cc As CHOOSECOLOR
Dim Custcolor(16) As Long
Dim lReturn As Long
    
    cc.lStructSize = Len(cc)
    cc.hwndOwner = frmMain.hwnd
    cc.hInstance = App.hInstance
    cc.lpCustColors = StrConv(CustomColors, vbUnicode)
    cc.flags = 0
    
    lReturn = CHOOSECOLOR(cc)
    If lReturn <> 0 Then
        frmMain.BackColor = Str$(cc.rgbResult)
        CustomColors = StrConv(cc.lpCustColors, vbFromUnicode)
    Else
        Exit Sub
    End If
End Sub

Private Sub cSleep()
    MsgBox "The next msgbox will appear in 2 seconds.", vbOKOnly + vbInformation, "LearnAPI"
    Sleep 2000
    MsgBox "The sleep function can be used as a delay command.", vbOKOnly + vbInformation, "LearnAPI"
End Sub

Private Sub dfDelBinary()
Dim Result
    Result = MsgBox("Are you sure you want to delete: HKEY_CURRENT_USER\Software\Longonot Software\BinaryValue?", vbYesNo + vbInformation, "LearnAPI - Code provided by Danny Falkov")
    If Result = vbYes Then
        delsetting HKEY_CURRENT_USER, "Software\Longonot Software", "BinaryValue"
    End If
End Sub

Private Sub dfGetBinary()
Dim Value
    Value = getstring(HKEY_CURRENT_USER, "Software\Longonot Software", "BinaryValue")
    If Value = "" Then Value = "No value found!"
    MsgBox Value, vbOKOnly + vbInformation, "LearnAPI - Code provided by Danny Falkov"
End Sub

Private Sub dfSetBinary()
Dim Value$
    Value = InputBox("Please enter a value between 0 and 255 to be saved as a binary value in the registry. The value will be stored in the following key: HKEY_CURRENT_USER\Software\Longonot Software\BinaryValue", "LearnAPI - Code provided by Danny Falkov")
On Error GoTo ErrorHandler
    If Value = "" Then
        Exit Sub
    ElseIf Value > 255 Then
        GoTo ErrorHandler
    End If
    Value = CByte(Value)
    Call savestringlong(HKEY_CURRENT_USER, "Software\Longonot Software", "BinaryValue", Value)
    Exit Sub
ErrorHandler:
    MsgBox "Invalid Value"
End Sub

Private Sub cSwapMouseButton()
Dim CurrStat&, Tmp&
    CurrStat = SwapMouseButton(Tmp)
    If CurrStat = 0 Then
        SwapMouseButton (1)
    Else: SwapMouseButton (0)
    End If
    MsgBox "The mouse buttons have been swapped. This will effect all users that use this computer!", vbOKOnly + vbInformation, "LearnAPI"
End Sub

Private Sub cGetVolumeInformation()
Dim Driv$, Volume$, VolumeNameSize&, SerialNumber&, lpMaximumComponentLength&
Dim lpFileSystemFlags&, lpFileSystemNameBuffer$, nFileSystemNameSize&
Dim Volumenumber$, X As Boolean

    Driv = UCase(Left(App.Path, 3))
    X = GetVolumeInformation(Driv, Volume, VolumeNameSize, SerialNumber, lpMaximumComponentLength, lpFileSystemFlags, lpFileSystemNameBuffer, nFileSystemNameSize)
         
    Volume = UCase(Dir(Driv, vbVolume))
    Volumenumber = Hex(SerialNumber)
    
    MsgBox "Current Drive: " & Driv & vbCrLf & "Volume Name: " & Volume & vbCrLf & "Volume Serial Number: " & Volumenumber, vbOKOnly + vbInformation, "LearnAPI - Code provided by Charles Bronner"
End Sub

Private Sub cMessageBeep()
Dim Success&
    Success = MessageBeep(1)
End Sub

Private Sub cGlobalMemoryStatus()
Dim v As MEMORYSTATUS, PhyMem$, AvailMem$, VirMem$, AvailVirMem$
Dim PagMem$, AvailPagMem$, LoadMem$, Info$
    
    v.dwLength = Len(v)
    GlobalMemoryStatus v
    
    PhyMem = v.dwTotalPhys: AvailMem = v.dwAvailPhys
    VirMem = v.dwTotalVirtual: AvailVirMem = v.dwAvailVirtual
    PagMem = v.dwTotalPageFile: AvailPagMem = v.dwAvailPageFile
    LoadMem = v.dwMemoryLoad
    
    Info = Info & "Total Physical Memory: "
    Info = Info & Format$(PhyMem \ 1024, "###,###,###") & "K" & vbCrLf
    
    Info = Info & "Available Physical Memory: "
    Info = Info & Format$(AvailMem \ 1024, "###,###,###") & "K" & vbCrLf
    
    Info = Info & "Percentage of Memory in use: " & LoadMem & "%" & vbCrLf
    
    Info = Info & "Maximum Paging File Size: "
    Info = Info & Format$(PagMem \ 1024, "###,###,###") & "K" & vbCrLf
    
    Info = Info & "Kilobytes Avaiable in Paging File: "
    Info = Info & Format$(AvailPagMem \ 1024, "###,###,###") & "K" & vbCrLf
        
    Info = Info & "Total Virtual Memory: "
    Info = Info & Format$(VirMem \ 1024, "###,###,###") & "K" & vbCrLf
    
    Info = Info & "Available Virtual Memory: "
    Info = Info & Format$(AvailVirMem \ 1024, "###,###,###") & "K" & vbCrLf & vbCrLf
    
    MsgBox Info, vbOKOnly + vbInformation
End Sub

Private Sub cGetSystemInfo()
Dim v As SYSTEM_INFO, Info$
Dim NoOfProcessors$, ProcessorType$, PageSize$

    GetSystemInfo v

    NoOfProcessors = v.dwNumberOrfProcessors
    ProcessorType = v.dwProcessorType
    
    Select Case ProcessorType
        Case PROCESSOR_INTEL_386
            Info = Info & "Intel 386" & vbCrLf
        Case PROCESSOR_INTEL_486
            Info = Info & "Intel 486" & vbCrLf
        Case PROCESSOR_INTEL_PENTIUM
            Info = Info & "Intel Pentium" & vbCrLf
        Case PROCESSOR_MIPS_R4000
            Info = Info & "MIPS R4000" & vbCrLf
        Case PROCESSOR_ALPHA_21064
            Info = Info & "DEC Alpha 21064" & vbCrLf
        Case Else
            Info = Info & "(unknown)" & vbCrLf
    End Select
        
    MsgBox "No of Processors: " & NoOfProcessors & vbCrLf & "Processor Type: " & Info, vbOKOnly + vbInformation
End Sub

Private Sub cGetTempPath()
Dim Success&, TempDir$
    TempDir = Space(255)
    Success = GetTempPath(255, TempDir)
    
    MsgBox "The temporary directory is: " & Trim(TempDir), vbOKOnly + vbInformation
End Sub

Private Sub cGetDiskFreeSpace()
Dim SectorsPerCluster&, BytesPerSector&, FreeClusters&
Dim TotalClusters&, FreeSpace$, Success As Boolean, Drive$

    Drive = UCase(Left(App.Path, 3))
    Success = GetDiskFreeSpace(Drive, SectorsPerCluster, BytesPerSector, FreeClusters, TotalClusters)
    FreeSpace = SectorsPerCluster * BytesPerSector * FreeClusters
    FreeSpace = (FreeSpace \ 1024) \ 1024
    
    MsgBox "The free space on drive " & Drive & " is " & Str$(FreeSpace) & " MB", vbOKOnly + vbInformation
End Sub

Private Sub lblCredits_Click()
    frmAbout.Show (1)
End Sub

Private Sub cExitWindowsEx()
    Dim Result, Success
    Result = MsgBox("Are you sure you want to exit Windows?", vbYesNo) 'Confirm Exit
    If Result = vbYes Then
        'EWX_SHUTDOWN must be 1 for API function to shutdown Windows
        Success = ExitWindowsEx(EWX_SHUTDOWN, 0)
    End If
End Sub

Private Sub cFlashWindow()
Static Invert As Boolean
    If Invert = False Then
        tmrFlashWindow.Enabled = True
        Invert = True
    Else
        FlashWindow frmMain.hwnd, False
        tmrFlashWindow.Enabled = False
        Invert = False
    End If
End Sub

Private Sub lblDiscription_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    lblDiscription.ToolTipText = ""
End Sub

Private Sub lblMailto_Click()
Dim Success&
    Success = ShellExecute(Me.hwnd, vbNullString, "mailto:longonot@intekom.co.za", vbNullString, "C:\", SW_SHOWNORMAL)
End Sub

Private Sub lblExit_Click()
    End
End Sub

Private Sub cWinExec()
Dim Success&
    Success = WinExec("Explorer.exe", 10)
End Sub

Private Sub cGetComputerName()
Dim PCName$, Success&
    PCName = Space(100)
    Success = GetComputerName(PCName, 100)
    MsgBox "The computer name is: " & Trim(PCName), vbOKOnly + vbInformation, "LearnAPI"
End Sub

Private Sub cPlaySound()
Dim Path$, Filter$
On Error GoTo OpenError
    Filter = "Wav Files (*.wav)" & Chr(0) & "*.wav" & Chr(0)
    Path = fGetOpenFileName(Filter)
    If Path <> "Cancel" Then
        PlaySound Path, 0, SND_ASYNC
    End If
OpenError:
End Sub

Private Sub cGetSystemDirectory()
Dim Success&, WinSysDir$
    WinSysDir = Space(144)
    Success = GetSystemDirectory(WinSysDir, 144)
    
    WinSysDir = Trim(WinSysDir)
    MsgBox "The Windows Directory is: " & WinSysDir, vbOKOnly + vbInformation 'Display result
End Sub

Private Sub lblURL_Click()
Dim Success&
    Success = ShellExecute(Me.hwnd, vbNullString, "http://home.intekom.com/longonot", vbNullString, "C:\", SW_SHOWNORMAL)
End Sub

Private Sub cGetUserName()
Dim Dummy$, Success&
    Dummy = Space(100)
    Success = GetUserName(Dummy, 100)
    MsgBox "You are logged on as: " & Trim(Dummy), vbOKOnly + vbInformation, "LearnAPI"
End Sub

Private Sub cGetVersionEx()
Dim v As OSVERSIONINFO, Success&, Junk$, Dummy$
    Dim WindowsVersion$, BuildVersion$, SP$, SPL$, PlatformName$

    v.dwOSVersionInfoSize = Len(v)
    Success = GetVersionEx(v)

    WindowsVersion = v.dwMajorVersion & "." & v.dwMinorVersion
    BuildVersion = v.dwBuildNumber And &HFFFF&
    SP = v.szCSDVersion

    Select Case v.dwPlatformId
    Case VER_PLATFORM_WIN32_WINDOWS
        'If v.dwMinorVersion = 0 then Windows 95
        'If v.dwMinorVersion = 10 then Windows 98
        If v.dwMinorVersion = 0 Then
            PlatformName = "Windows 95"
        ElseIf v.dwMinorVersion = 10 Then
            PlatformName = "Windows 98"
        End If
        lblDiscription.ToolTipText = ""
        lblDiscription.ToolTipText = SP
        If Trim(lblDiscription.ToolTipText) = "" Then
            MsgBox PlatformName & " Version " & WindowsVersion & ", Build " & BuildVersion, vbOKOnly + vbInformation, "LearnAPI"
        Else
            MsgBox PlatformName & " Version " & WindowsVersion & ", Build " & BuildVersion & ", Service Pack " & SP, vbOKOnly + vbInformation, "LearnAPI"
        End If
     Case VER_PLATFORM_WIN32_NT
        PlatformName = "Windows NT"
        SPL = Mid(SP, 1, 12)
        If SPL = "Service Pack" Then
            MsgBox PlatformName & " Version " & WindowsVersion & ", Build " & BuildVersion & ", " & SP, vbOKOnly + vbInformation, "LearnAPI"
        Else
            MsgBox PlatformName & " Version " & WindowsVersion & ", Build " & BuildVersion, vbOKOnly + vbInformation, "LearnAPI"
        End If
     End Select
End Sub

Private Sub cGetWindowsDirectory()
Dim Success&, WinDir$
    WinDir = Space(144)
    
    Success = GetWindowsDirectory(WinDir, 144)
    
    WinDir = Trim(WinDir)
    MsgBox "The Windows Directory is: " & WinDir, vbOKOnly + vbInformation 'Display result
End Sub

Private Sub tmrFlashWindow_Timer()
    FlashWindow frmMain.hwnd, True
End Sub

Private Sub cGetDoubleClickTime()
Dim Result$
    Result = GetDoubleClickTime
    MsgBox "The double-click time is: " & Result & " milliseconds.", vbOKOnly + vbInformation, "LearnAPI"
End Sub

Private Sub cSetDoubleClickTime()
Dim InputStr$, InputNum&
    InputStr = InputBox("Please enter a value for the double-click time. The default is 500. Setting this value to low will prevent users being able to double click fast enough!", "LearnAPI", "500")
    If InputStr = "" Then Exit Sub
'The next line converts string to a long
'If the string is not a number, InputNum = 0
'InputNum must be > 0 to set double-click time
    InputNum = Val(InputStr)
    SetDoubleClickTime (InputNum)
    MsgBox "The double-click time has been changed. Use the GetDoubleClickTime function to view your change.", vbOKOnly + vbInformation, "LearnAPI"
End Sub
